Bug 105694 - Installer improperly detects and configures network on AMD64/X86_64
Installer improperly detects and configures network on AMD64/X86_64
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kudzu (Show other bugs)
3.0
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 12:29 EDT by Justin M. Forbes
Modified: 2014-03-16 22:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 02:11:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin M. Forbes 2003-09-26 12:29:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4) Gecko/20030624

Description of problem:
The Installer for Taroon 2 WS on X86_64.  On my Gigabyte K8NPro motherboard, the
Taroon 2 installer will no prompt for network settings during install with only
the onboard nic, though it does detect it and sets the alias in
/etc/modules.conf to:

alias eth0 r8169

If a 3Com PCI 3c59x card is installed, the Anaconda installer will detect this
card and prompt for network settings.  Once the OS installation is finished,
/etc/modules.conf still shows: 

alias eth0 r8169

With no entry for 3c59x at all.  However /etc/sysconfig/network-scripts only has
a config for eth0 using the 3c59x in the comments, and the 3com mac address
listed as hardware address.  /etc/sysconfig/hwconf list both the Realtek adapter
and the 3com adapter as eth0.

To add to this confusion, doing a manual insmod will bring up eth1, both drivers
will properly autonegotiate, but network will not work on either card with only
one or both drivers enabled (will be listed as a seperate bug when I figure out
if it is kernel or elsewhere)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Tarron 2 AMD64 WS on Gigabyte K8NPro systemboard with or without
additional 3c59x card installed.

    

Actual Results:  See Summary

Expected Results:  Cards should be recognized and configured appropriately by
the installer.  Network should work as configured.

Additional info:
Comment 1 Matt Wilson 2003-09-26 14:24:09 EDT
attach output of:

lspci -v
lspci -n
Comment 2 Justin M. Forbes 2003-09-28 02:45:00 EDT
After a fresh install with both cards installed:

lspci -v output

00:00.0 Host bridge: nVidia Corporation: Unknown device 00d1 (rev a4)
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Memory at d0000000 (32-bit, prefetchable) [size=128M]
        Capabilities: [44] #08 [0180]
        Capabilities: [c0] AGP version 3.0

00:01.0 ISA bridge: nVidia Corporation: Unknown device 00d0 (rev a6)
        Subsystem: Giga-byte Technology: Unknown device 0c11
        Flags: bus master, 66Mhz, fast devsel, latency 0

00:01.1 SMBus: nVidia Corporation: Unknown device 00d4 (rev a4)
        Subsystem: Giga-byte Technology: Unknown device 0c11
        Flags: 66Mhz, fast devsel, IRQ 23
        I/O ports at 1c00 [size=64]
        I/O ports at 2000 [size=64]
        Capabilities: [44] Power Management version 2

00:02.0 USB Controller: nVidia Corporation: Unknown device 00d7 (rev a5)
(prog-if 10 [OHCI])
        Subsystem: Giga-byte Technology: Unknown device 5004
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 20
        Memory at e4003000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2

00:02.1 USB Controller: nVidia Corporation: Unknown device 00d7 (rev a5)
(prog-if 10 [OHCI])
        Subsystem: Giga-byte Technology: Unknown device 5004
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 22
        Memory at e4004000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2

00:02.2 USB Controller: nVidia Corporation: Unknown device 00d8 (rev a2)
(prog-if 20 [EHCI])
        Subsystem: Giga-byte Technology: Unknown device 5004
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 20
        Memory at e4005000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [44] #0a [2080]
        Capabilities: [80] Power Management version 2

00:06.0 Multimedia audio controller: nVidia Corporation: Unknown device 00da
(rev a2)
        Subsystem: Giga-byte Technology: Unknown device a002
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 22
        I/O ports at d800 [size=256]
        I/O ports at dc00 [size=128]
        Memory at e4001000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2

00:08.0 IDE interface: nVidia Corporation: Unknown device 00d5 (rev a5) (prog-if
8a [Master SecP PriP])
        Subsystem: Giga-byte Technology: Unknown device 5002
        Flags: bus master, 66Mhz, fast devsel, latency 0
        I/O ports at f000 [size=16]
        Capabilities: [44] Power Management version 2

00:0a.0 PCI bridge: nVidia Corporation: Unknown device 00dd (rev a2) (prog-if 00
[Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=128
        I/O behind bridge: 0000c000-0000cfff
        Memory behind bridge: e2000000-e3ffffff

00:0b.0 PCI bridge: nVidia Corporation: Unknown device 00d2 (rev a4) (prog-if 00
[Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 16
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=10
        Memory behind bridge: e0000000-e1ffffff
        Prefetchable memory behind bridge: d8000000-dfffffff

00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel
        Capabilities: [80] #08 [2101]

00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel

01:07.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev 24)
        Subsystem: 3Com Corporation 3C905B Fast Etherlink XL 10/100
        Flags: bus master, medium devsel, latency 32, IRQ 19
        I/O ports at c000 [size=128]
        Memory at e3006000 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [dc] Power Management version 1

01:0b.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 (rev 10)
        Subsystem: Giga-byte Technology: Unknown device e000
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 19
        I/O ports at c400 [size=256]
        Memory at e3004000 (32-bit, non-prefetchable) [size=256]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [dc] Power Management version 2

01:0e.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000
Controller (PHY/Link) (prog-if 10 [OHCI])
        Subsystem: Giga-byte Technology: Unknown device 1000
        Flags: bus master, medium devsel, latency 32, IRQ 18
        Memory at e3005000 (32-bit, non-prefetchable) [size=2K]
        Memory at e3000000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2

02:00.0 VGA compatible controller: nVidia Corporation: Unknown device 0322 (rev
a1) (prog-if 00 [VGA])
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 16
        Memory at e0000000 (32-bit, non-prefetchable) [size=16M]
        Memory at d8000000 (32-bit, prefetchable) [size=128M]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [44] AGP version 3.0


lspci -n output:

00:00.0 Class 0600: 10de:00d1 (rev a4)
00:01.0 Class 0601: 10de:00d0 (rev a6)
00:01.1 Class 0c05: 10de:00d4 (rev a4)
00:02.0 Class 0c03: 10de:00d7 (rev a5)
00:02.1 Class 0c03: 10de:00d7 (rev a5)
00:02.2 Class 0c03: 10de:00d8 (rev a2)
00:06.0 Class 0401: 10de:00da (rev a2)
00:08.0 Class 0101: 10de:00d5 (rev a5)
00:0a.0 Class 0604: 10de:00dd (rev a2)
00:0b.0 Class 0604: 10de:00d2 (rev a4)
00:18.0 Class 0600: 1022:1100
00:18.1 Class 0600: 1022:1101
00:18.2 Class 0600: 1022:1102
00:18.3 Class 0600: 1022:1103
01:07.0 Class 0200: 10b7:9055 (rev 24)
01:0b.0 Class 0200: 10ec:8169 (rev 10)
01:0e.0 Class 0c00: 104c:8024
02:00.0 Class 0300: 10de:0322 (rev a1)

Incidentally, the Severn installer does the same thing it seems, though once you
put the ifcfg-eth0 file out there, it will work with the r8169 driver.
Comment 3 Bill Nottingham 2003-09-29 00:19:45 EDT
What does /etc/sysconfig/hwconf look like?

Does the r8169 driver support ethtool?
Comment 4 Justin M. Forbes 2003-09-29 01:29:36 EDT
It does not seem to use ethtool but then agian, in taroon, it does not work at
all (need to try 32bit) but the actual driver does work in severn once the hw is
corrected.  Below is /etc/sysconfig/hwconf:

-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "nVidia Corporation|unknown device 10de:00d1"
vendorId: 10de
deviceId: 00d1
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev:  0
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "nVidia Corporation|unknown device 10de:00d0"
vendorId: 10de
deviceId: 00d0
subVendorId: 1458
subDeviceId: 0c11
pciType: 1
pcibus:  0
pcidev:  1
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "nVidia Corporation|unknown device 10de:00d4"
vendorId: 10de
deviceId: 00d4
subVendorId: 1458
subDeviceId: 0c11
pciType: 1
pcibus:  0
pcidev:  1
pcifn:  1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "nVidia Corporation|unknown device 10de:00dd"
vendorId: 10de
deviceId: 00dd
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev:  a
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "nVidia Corporation|unknown device 10de:00d2"
vendorId: 10de
deviceId: 00d2
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev:  b
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Advanced Micro Devices [AMD]|K8 NorthBridge"
vendorId: 1022
deviceId: 1100
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev: 18
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Advanced Micro Devices [AMD]|K8 NorthBridge"
vendorId: 1022
deviceId: 1101
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev: 18
pcifn:  1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Advanced Micro Devices [AMD]|K8 NorthBridge"
vendorId: 1022
deviceId: 1102
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev: 18
pcifn:  2
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Advanced Micro Devices [AMD]|K8 NorthBridge"
vendorId: 1022
deviceId: 1103
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev: 18
pcifn:  3
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "Linux 2.4.21-1.1931.2.393.ent ehci-hcd PCI device 10de:00d8 (nVidia
Corporation)"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 3
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.4.21-1.1931.2.393.ent ehci-hcd
usbprod: PCI device 10de:00d8 (nVidia Corporation)
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "USB OHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbprod: USB OHCI Root Hub
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "USB OHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 2
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbprod: USB OHCI Root Hub
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: 3c59x
desc: "3Com Corporation|3c905B 100BaseTX [Cyclone]"
network.hwaddr: 00:10:4B:98:68:68
vendorId: 10b7
deviceId: 9055
subVendorId: 10b7
subDeviceId: 9055
pciType: 1
pcibus:  1
pcidev:  7
pcifn:  0
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: r8169
desc: "Realtek|RTL-8169"
vendorId: 10ec
deviceId: 8169
subVendorId: 1458
subDeviceId: e000
pciType: 1
pcibus:  1
pcidev:  b
pcifn:  0
-
class: MOUSE
bus: PSAUX
detached: 0
device: psaux
driver: genericps/2
desc: "Generic Mouse (PS/2)"
-
class: AUDIO
bus: PCI
detached: 0
driver: i810_audio
desc: "nVidia Corporation|AC97 Audio Controller"
vendorId: 10de
deviceId: 00da
subVendorId: 1458
subDeviceId: a002
pciType: 1
pcibus:  0
pcidev:  6
pcifn:  0
-
class: CDROM
bus: SCSI
detached: 0
device: scd0
driver: ignore
desc: "Sony DVD RW DRU-500A"
host: 0
id: 0
channel: 0
lun: 0
generic: sg0
-
class: VIDEO
bus: PCI
detached: 0
driver: unknown
desc: "nVidia Corporation|unknown device 10de:0322"
vendorId: 10de
deviceId: 0322
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  2
pcidev:  0
pcifn:  0
-
class: HD
bus: IDE
detached: 0
device: hda
driver: ignore
desc: "Maxtor 6Y080P0"
physical: 158813/16/63
logical: 9964/255/63
-
class: HD
bus: IDE
detached: 0
device: hdb
driver: ignore
desc: "Maxtor 6Y160P0"
physical: 19929/255/63
logical: 19929/255/63
-
class: USB
bus: PCI
detached: 0
driver: usb-ohci
desc: "nVidia Corporation|unknown device 10de:00d7"
vendorId: 10de
deviceId: 00d7
subVendorId: 1458
subDeviceId: 5004
pciType: 1
pcibus:  0
pcidev:  2
pcifn:  0
-
class: USB
bus: PCI
detached: 0
driver: usb-ohci
desc: "nVidia Corporation|unknown device 10de:00d7"
vendorId: 10de
deviceId: 00d7
subVendorId: 1458
subDeviceId: 5004
pciType: 1
pcibus:  0
pcidev:  2
pcifn:  1
-
class: USB
bus: PCI
detached: 0
driver: ehci-hcd
desc: "nVidia Corporation|unknown device 10de:00d8"
vendorId: 10de
deviceId: 00d8
subVendorId: 1458
subDeviceId: 5004
pciType: 1
pcibus:  0
pcidev:  2
pcifn:  2
-
class: FIREWIRE
bus: PCI
detached: 0
driver: ohci1394
desc: "Texas Instruments|TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)"
vendorId: 104c
deviceId: 8024
subVendorId: 1458
subDeviceId: 1000
pciType: 1
pcibus:  1
pcidev:  e
pcifn:  0
-
class: IDE
bus: PCI
detached: 0
driver: unknown
desc: "nVidia Corporation|unknown device 10de:00d5"
vendorId: 10de
deviceId: 00d5
subVendorId: 1458
subDeviceId: 5002
pciType: 1
pcibus:  0
pcidev:  8
pcifn:  0
Comment 5 Bill Nottingham 2003-09-29 01:47:18 EDT
The driver does not support ethtool driver info, it appears. I believe this
particular bug was fixed post-B2. Generally, though, adding ethtool support to
the driver will make all this stuff go away...
Comment 6 Bill Nottingham 2004-01-05 02:11:53 EST
Closing, please reopen if it persists.

Note You need to log in before you can comment on or make changes to this bug.